//
//  AppDelegate.m
//  PallySDKDemo2
//
//

#import "AppDelegate.h"
#import "PallySDK.h"
#import "VC1.h"
#import "VC2.h"


@implementation AppDelegate

- (void)dealloc
{
    [_window release];
    [_tabBarController release];
    [super dealloc];
}

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];
    self.window.backgroundColor = [UIColor whiteColor];
    
    [BLEDeviceManager sharedInstanceWithPatternType:PatternRealTimeWeighOnly];
    
    // Override point for customization after application launch.
    UIViewController *vc1 = [[[VC1 alloc] initWithNibName:@"VC1" bundle:nil] autorelease];
    UIViewController *vc2 = [[[VC2 alloc] initWithNibName:@"VC2" bundle:nil] autorelease];
    self.tabBarController = [[[UITabBarController alloc] init] autorelease];
    self.tabBarController.viewControllers = @[vc1, vc2];
    self.window.rootViewController = self.tabBarController;
    [self.window makeKeyAndVisible];
    return YES;
}

//- (void)applicationWillResignActive:(UIApplication *)application
//{
//}
//
//- (void)applicationDidEnterBackground:(UIApplication *)application
//{
//}
//
//- (void)applicationWillEnterForeground:(UIApplication *)application
//{
//}
//
//- (void)applicationDidBecomeActive:(UIApplication *)application
//{
//}
//
//- (void)applicationWillTerminate:(UIApplication *)application
//{
//}


@end
